import type { Role } from '@/api'
import { ui18n } from '@/lang'
import type { ColumnsType } from 'ant-design-vue/es/table'

export const roleColumns: ColumnsType<Role> = [
  // {
  //   title: '序列',
  //   dataIndex: 'teamId',
  //   key: 'teamId',
  //   customRender: ({ index }) => index + 1
  // },
  {
    title: ui18n.t('role.roleNameLabel'),
    dataIndex: 'roleName',
    key: 'roleName'
  },
  {
    title: ui18n.t('role.sroleNameLabel'),
    dataIndex: 'projectName',
    key: 'projectName'
  },
  {
    title: ui18n.t('role.remarkLabel'),
    dataIndex: 'remark',
    key: 'remark'
  },
  {
    title: ui18n.t('role.createTimeLabel'),
    dataIndex: 'createTime',
    key: 'createTime'
  }
]
